Improve ./compile.sh error message

...when neither run on a distribution artefact nor
PROTOC is set. In this case, it might be that the user
was trying to build a development version of bazel,
which should be done with 'bazel build //src:bazel'.

--
Change-Id: Ib76601f625b36515a94af7508dfd73a3a352710f
Reviewed-on: https://cr.bazel.build/7536
MOS_MIGRATED_REVID=140350570
diff --git a/scripts/bootstrap/compile.sh b/scripts/bootstrap/compile.sh
index f5724aa..0ecdcff 100755
--- a/scripts/bootstrap/compile.sh
+++ b/scripts/bootstrap/compile.sh
@@ -173,10 +173,12 @@
     else
 
         [ -n "${PROTOC}" ] \
-            || fail "Must specify PROTOC if not bootstrapping from the distribution artifact"
+            || fail "Must specify PROTOC if not bootstrapping from the distribution artifact;\
+ NOTE: development versions are built with 'bazel build //src:bazel'"
 
         [ -n "${GRPC_JAVA_PLUGIN}" ] \
-            || fail "Must specify GRPC_JAVA_PLUGIN if not bootstrapping from the distribution artifact"
+            || fail "Must specify GRPC_JAVA_PLUGIN if not bootstrapping from the distribution artifact;\
+ NOTE: development versions are built with 'bazel build //src:bazel'"
 
         [[ -x "${PROTOC-}" ]] \
             || fail "Protobuf compiler not found in ${PROTOC-}"